---
title: 선형대수학
description: 선형대수학
published: true
date: 2020-09-22T11:55:39.992Z
tags: 선형대수, 대수, linear algebra, mathmatics
editor: markdown
dateCreated: 2020-09-21T13:09:09.265Z
---

# 선형대수(linear algebra)

선형대수는 $a_1x+\cdots+a_nx=b$ 같은 일차식과 [선형변환](/선형변환)에 대해서 다루는 수학의 한 갈래이다.
선형대수는 다음과 같은 내용을 포함한다.

## 벡터공간(vector space)
- main article : [벡터공간](/벡터공간)

현대적으로 선형대수학은 벡터공간 V에 대해서 다루어진다. 벡터공간은 단순히 [체](/체(수학)) $F$위의 [모듈](/모듈(수학))이다.
구체적으로는, 스칼라들의 [체](/체(수학)) $F$상에서의 집합 $V=\lbrace (a_1,a_2,\cdots,a_n): a_i \in F \rbrace$ 에 아래 두 개의 이항연산이 정의되고 이 연산들과 함께 $V$의 성분들이 2개의 기본 조건과 8가지의 연산법칙을 만족하면 $V$가 주어진 벡터의 덧셈 및 스칼라배 연산 과 함께 [벡터공간](/벡터공간)을 이룬다고 하고 $(V,+,\cdot)$를 벡터공간이라고 하며 그 안의 원소를 벡터라고 한다. 공리로부터 이 벡터들은 덧셈과 함께 [아벨군](/아벨군)을 형성하고 벡터에 스칼라를 곱하는 곱셈(스칼라 곱)은 아래식을 만족한다.

$$\begin{aligned}
a(\textbf{v}+\textbf w)=a\textbf v+a \textbf w, 1\textbf v=\textbf v \\
(a+b)\textbf v= a \textbf v+b \textbf v,(ab)\textbf v=a(b\textbf v)
\end{aligned}$$

이 식에서 $\textbf v$와 $\textbf w$는 공간 $V$에 속하는 벡터이고, $a,b$는 체 $F$ 에 속하는 스칼라이다.

## 선형조합(linear combination)

어떤 벡터 리스트 $(\textbf v_1,\textbf v_2,\cdots,\textbf v_n)$가 있으면, 벡터 리스트를 의 일차결합을 생각할 수 있다.

$$a_1\textbf v_1+a_2\textbf v_2+\cdots+a_n\textbf v_n = \sum a_i\textbf v_i$$

이러한 일차 결합을 선형조합이라고 한다.   
주어진 n개의 백터의 모든 일차결합에 의해 만들어지는 집합은 $V$의 부분공간(subspace)을 이룬다. 이 부분공간을 $\textbf v_1,\textbf v_2,\cdots,\textbf v_n$에 의하여 생성된(spanned) $V$의 부분공간이라고 한다. $\sum a_i\textbf v_i=0$인 일차결합에서 모든 계수가 0인 경우에만 일차결합의 값이 0이 되는 경우에, $\textbf v_1,\textbf v_2,\cdots,\textbf v_n$을 일차독립(linear independent)이라 한다. 벡터공간 $V$에 속하는 모든 벡터가 일차 독립인 $\textbf v_1,\textbf v_2,\cdots,\textbf v_n$들에 의하여 오직 한가지의 일차결합으로만 표현될 때, $\textbf v_1,\textbf v_2,\cdots,\textbf v_n$를 유한차원 벡터공간 $V$의 기저(basis)라고 한다. 기저를 이루는 벡터들은 일차독립이어야 한다. 같은 벡터공간의 두 기저벡터는 같은 수의 원소를 가지고 있는데 이 원소의 수를 그 공간의 차원, $\dim V$이라고 한다.

## 선형변환(linear transformation or linear map)
- main article : [선형변환](/선형변환)



