---
title: 행렬(Matrices)
description: 행렬
published: true
date: 2020-09-22T14:00:28.667Z
tags: 선형대수, 대수, mathmatics
editor: markdown
dateCreated: 2020-09-21T16:08:48.764Z
---

# 행렬(Matrices)

행렬은 적당한 기저를 정해서 만들어진 순서쌍이다.

## 정사각행렬(sqaure matrices)
$n \times n$ 꼴인 행렬이다.
## 대각행렬(diagonal matrix)
대각선에만 숫자가 있고, 나머지는 0인 행렬이다.
formal하게는,
$$A = \lbrack a_{ij}\rbrack  (a_{ij}=0\text{ if } i\neq j)$$
인 행렬이다.

## 역행렬(Inverse matrices)

행렬이 정사각행렬이면, 다음과 같은 조건을 만족하는 행렬$A$을 생각할 수 있다. 
$$A^{-1}A= I = AA^{-1}$$
이때, $A$를 invertible하다고 하고, $A^{-1}$을 A의 역행렬("$A$ invsere","the inverse of $A$")이라고 한다.

성질들:
* 만약 $A$가 invertible하면, 선형연립방정식에 대해서 $Ax=b \iff x=A^{-1}b$.
* 행렬 A가 non-singular면 A는 invertible 하다. 반대로 A가 invertible하면 non-singular다.
* non-zero vector $\textbf x$에 대해서 $A\textbf x=0$이라면, A는 invertible하지 않다.
* 당연히 각각의 행렬 $A$에 대하여 각각의 역행렬$A^{-1}$은 유일하다.

2x2 matrix $A =\begin{bmatrix}a&b\\ c& d\end{bmatrix}$의 역행렬 공식:
$$A^{-1}=\frac{1}{ad-bc}\begin{bmatrix}
d&-b\\-c&a\end{bmatrix}$$

$ad-bc$가 0이라면 역행렬은 존재하지 않는다. 여기서 $ad-bc$는 행렬 $A$의 [행렬식(Determinant)](/행렬식)이다.

간단하게, [대각행렬](#대각행렬diagonal-matrix)의 역행렬은
$$\begin{bmatrix}
d_1&0&\cdots &0 \\
0 &d_2 &\cdots& 0 \\
\vdots & \vdots&&\vdots\\
0 &0&\cdots&d_n
\end{bmatrix}^{-1}=\begin{bmatrix}
\frac{1}{d_1}&0&\cdots &0 \\
0 &\frac{1}{d_2} &\cdots& 0 \\
\vdots & \vdots&&\vdots\\
0 &0&\cdots&\frac{1}{d_n}
\end{bmatrix}$$

## 가우스-조던 소거법(Gauss-Jordan Elimination)

$AX=I$인 $X$를 구하기 위해서 [기본 행 연산(Elementary operation)](/기본행연산)을 곱해서,
Upper traiangle form이나 echelon form을 만들어서 구한다.

